	org $1001-2
	dw  $1001

ptr		= $02
delay		= $04
irq_dest	= $06
toggle		= $0E
index		= $34
digi_values	= $62

	dw $100B,2021
	db $9E,"4109",0,0,0

	sei
	sta $FF3F
	jmp start
	;
	include "data_comp1_hex.asm"
	include "data_comp2_hex.asm"
	;
start
	ldx #$F8
	lda $FF07
	and #$40
	beq pal
	ldx #$FF
pal	cpx $FF1D
	bne *-3
	;
	lda #$00
	sta $FF19
	;
	lda #$11
	sta $FF16
	;
	lda #$51
	sta $FF15
	;
	lda #$3B	; turn graphics mode on
	sta $FF06
	;
	lda $FF07	; PAL/NTSC friendly
	and #$40
	ora #$18	; use $18 for multicolor
	sta $FF07
	;
	lda $FF12
	and #$03	; keep lowest 2 bits (sound)	
	ora #($E000) >> 10	; $08 = $2000, $10 = $4000, etc.
	sta $FF12
	;
	lda #$D0	; color map at $1800
	sta $FF14
	;
	lda #$A2
	sta $FF0A
	;
	lda #irq_gfx & 255
	sta $FFFE
	lda #irq_gfx >> 8
	sta $FFFF
	;
	lda #$BB
	sta $FF0B
	;
	asl $FF09
	cli
	;
not_pressed
	lda #$7F
	sta $FD30
	sta $FF08
	lda $FF08
	and #$10	; Query keyboard for "Space"
	bne not_pressed
	; space is pressed
 	;
 	sei
	;
	lda #$0B
	sta $FF06
	;
	ldx #$FD
	stx $FF0E
	inx
	stx $FF0F
	lda #$03
	sta $FF10
	lda #$C7
	sta $FF12			; set up TED sound registers for digi
	;
	lda #$80			; digi playback speed
	sta $FF00
	ldy #$00
	sty $FF01
	;
	lda #$A8			; enable timer interrupt
	sta $FF0A
	;
	lda #irq_dest & 255
	sta $FFFE
	sty $FFFF
	;
	lda #digi_values & 255
	sta ptr
	lda #digi_values >> 8
	sta ptr+1
	;
	sty delay+1			; delay = 1
	iny
	sty delay
	sty $FF11			; trigger some sound
	;
	lda $2D
	pha
	lda $2E
	pha
	;
	ldx #irq_end-irq
il01	lda irq,x
	sta irq_dest,x
	dex
	bpl il01
	;
	pla
	sta $2E
	pla
	sta $2D
	;
	inx
il02	lda digi_lengths,x
	sta $0200,x
	inx
	bne il02
	;
	jmp $1014		; start decrunch
	
irq_gfx
	pha
	;
bmp_addr
	lda #($C000) >> 10	; $08 = $2000, $10 = $4000, etc.
	sta $FF12
	;
	lda $FF0B
	eor #$BB ^ $CC
	sta $FF0B
	;
	lda bmp_addr+1
	eor #(($C000) >> 10) ^ (($E000) >> 10)
	sta bmp_addr+1
	;
	pla
	asl $FF09
	rti
	
	org $D000
	include "title_colors.asm"
	
	;
	; ---
	;
irq	asl $FF09
	;
	ldy #$00
	;
	inc toggle
	lda #$00		; toggle
	and #$01
	beq bit_lo
	;
	lda (ptr),y
	lsr a
	lsr a
	lsr a
	lsr a
	tax
	lda digi_values,x
	sta $FF11
	;
	inc ptr
	bne *+4
	inc ptr+1
	;
	dec delay
	bne no_dly
	beq skip1
	;
	db 0,0,0,0
	;
skip1	dec delay+1
	bpl no_dly
	;
	ldy #$00		; index
	lda $400,y
	sta ptr
	lda $500,y
	sta ptr+1
	;
	lda $200,y
	tax
	lda $2D0,x
	sta delay
	lda $2E0,x
	sta delay+1
	;
	iny
	cpy #$C4
	bne *+4
	ldy #$00
	sty index
	;
no_dly	rti

bit_lo	lda (ptr),y
	and #$0F
	tax
	lda digi_values,x
	sta $FF11
	;
	rti

;digi_values
	db $00,$91,$92,$93,$94,$95,$96,$97,$35,$98,$36,$B5,$37,$B6,$B7,$B8
irq_end
	
;	
;	align 256
;digi_data_lo
;	db (loop3 + 1194 * 0) & 255	; intro
;	db (loop3 + 1194 * 1) & 255
;	db (loop3 + 1194 * 1) & 255
;	db (loop3 + 1194 * 1) & 255
;	;
;	db (loop3 + 1194 * 0) & 255
;	db (loop3 + 1194 * 1) & 255
;	db (loop3 + 1194 * 1) & 255
;	db (loop3 + 1194 * 3) & 255
;	;
;	db (loop3 + 1194 * 0) & 255
;	db (loop3 + 1194 * 1) & 255
;	db (loop3 + 1194 * 1) & 255
;	db (loop3 + 1194 * 1) & 255
;	;
;	db (loop3 + 1194 * 0) & 255
;	db (loop3 + 1194 * 1) & 255
;	db (loop3 + 1194 * 1) & 255
;	db (loop3 + 1194 * 3) & 255
;	; --
;	db (loop3 + 1194 * 0) & 255
;	db (loop3 + 1194 * 0) & 255
;	db (loop3 + 1194 * 0) & 255
;	db (loop3 + 1194 * 0) & 255
;	;
;	db (loop3 + 1194 * 0) & 255
;	db (loop3 + 1194 * 0) & 255
;	db (loop3 + 1194 * 0) & 255
;	db (loop3 + 1194 * 0) & 255
;	db (loop3 + 1194 * 3) & 255
;	;
;	db (loop3 + 1194 * 0) & 255
;	db (loop3 + 1194 * 0) & 255
;	db (loop3 + 1194 * 0) & 255
;	db (loop3 + 1194 * 0) & 255
;	;
;	db (loop3 + 1194 * 0) & 255
;	db (loop3 + 1194 * 0) & 255
;	db (loop3 + 1194 * 0) & 255
;	db (loop3 + 1194 * 0) & 255
;	;
;	db (loop3 + 1194 * 0) & 255
;	db (loop3 + 1194 * 0) & 255
;	db (loop3 + 1194 * 0) & 255
;	db (loop3 + 1194 * 0) & 255
;	db (loop3 + 1194 * 0) & 255
;	db (loop3 + 1194 * 0) & 255
;	db (loop3 + 1194 * 0) & 255
;	db (loop3 + 1194 * 0) & 255
;	;
;	db (loop3 + 1194 * 0) & 255
;	db (loop3 + 1194 * 0) & 255
;	db (loop3 + 1194 * 4) & 255
;	db (loop3 + 1194 * 4) & 255
;	;
;	; ---
;	;
;	db (loop1 + 1194 * 0) & 255	; chorus A
;	db (loop1 + 1194 * 1) & 255
;	db (loop1 + 1194 * 3) & 255
;	db (loop1 + 1194 * 1) & 255
;	db (loop1 + 1194 * 4) & 255
;	;
;	db (loop1 + 1194 * 0) & 255
;	db (loop1 + 1194 * 1) & 255
;	db (loop1 + 1194 * 3) & 255
;	db (loop1 + 1194 * 1) & 255
;	db (loop1 + 1194 * 6) & 255
;	;
;	db (loop1 + 1194 * 0) & 255
;	db (loop1 + 1194 * 1) & 255
;	db (loop1 + 1194 * 3) & 255
;	db (loop1 + 1194 * 1) & 255
;	db (loop1 + 1194 * 8) & 255
;	db (loop1 + 1194 * 5) & 255
;	;
;	db (loop1 + 1194 * 0) & 255
;	db (loop1 + 1194 * 9) & 255
;	db (loop1 + 1194 * 9) & 255
;	db (loop1 + 1194 *11) & 255
;	db (loop1 + 1194 *12) & 255
;	db (loop1 + 1194 *13) & 255
;	db (loop1 + 1194 *14) & 255
;	;
;	; ---
;	;
;	db (loop1 + 1194 * 0) & 255	; chorus B
;	db (loop4 + 1194 * 1) & 255
;	db (loop4 + 1194 * 0) & 255
;	db (loop4 + 1194 * 0) & 255
;	db (loop4 + 1194 * 2) & 255
;	db (loop1 + 1194 * 5) & 255
;	;
;	db (loop1 + 1194 * 0) & 255
;	db (loop1 + 1194 * 1) & 255
;	db (loop1 + 1194 * 3) & 255
;	db (loop1 + 1194 * 1) & 255
;	db (loop1 + 1194 * 6) & 255
;	;
;	db (loop1 + 1194 * 0) & 255
;	db (loop1 + 1194 * 1) & 255
;	db (loop1 + 1194 * 3) & 255
;	db (loop1 + 1194 * 1) & 255
;	db (loop1 + 1194 * 8) & 255
;	db (loop1 + 1194 * 5) & 255
;	;
;	db (loop5 + 1194 * 0) & 255	; voice
;	db (loop5 + 1194 * 1) & 255
;	db (loop5 + 1194 * 0) & 255
;	db (loop5 + 1194 * 1) & 255
;	db (loop5 + 1194 * 2) & 255
;	db (loop5 + 1194 * 3) & 255
;	db (loop5 + 1194 * 4) & 255
;	db (loop5 + 1194 * 5) & 255
;	db (loop5 + 1194 * 6 - $3D * 2) & 255
;	;
;	; ---
;	;
;	db (loop2 + 1194 * 0) & 255	; mid
;	db (loop2 + 1194 * 2) & 255
;	db (loop2 + 1194 * 1) & 255
;	;
;	db (loop2 + 1194 * 7) & 255
;	db (loop2 + 1194 * 6) & 255
;	;
;	db (loop2 + 1194 *12) & 255
;	db (loop2 + 1194 *11) & 255
;	;
;	db (loop2 + 1194 *18) & 255
;	db (loop2 + 1194 *18) & 255
;	db (loop2 + 1194 *19) & 255
;	db (loop2 + 1194 *20) & 255
;	;
;	; ---
;	;
;	db (loop1 + 1194 * 0) & 255	; chorus A
;	db (loop1 + 1194 * 1) & 255
;	db (loop1 + 1194 * 3) & 255
;	db (loop1 + 1194 * 1) & 255
;	db (loop1 + 1194 * 4) & 255
;	;
;	db (loop1 + 1194 * 0) & 255
;	db (loop1 + 1194 * 1) & 255
;	db (loop1 + 1194 * 3) & 255
;	db (loop1 + 1194 * 1) & 255
;	db (loop1 + 1194 * 6) & 255
;	;
;	db (loop1 + 1194 * 0) & 255
;	db (loop1 + 1194 * 1) & 255
;	db (loop1 + 1194 * 3) & 255
;	db (loop1 + 1194 * 1) & 255
;	db (loop1 + 1194 * 8) & 255
;	db (loop1 + 1194 * 5) & 255
;	;
;	db (loop1 + 1194 * 0) & 255
;	db (loop1 + 1194 * 9) & 255
;	db (loop1 + 1194 * 9) & 255
;	db (loop1 + 1194 *11) & 255
;	;
;	; ---
;	;
;	db (loop2 + 1194 * 0) & 255	; mid
;	db (loop2 + 1194 * 2) & 255
;	db (loop2 + 1194 * 1) & 255
;	;
;	db (loop2 + 1194 * 7) & 255
;	db (loop2 + 1194 * 6) & 255
;	;
;	db (loop2 + 1194 *12) & 255
;	db (loop2 + 1194 *11) & 255
;	;
;	db (loop2 + 1194 *18) & 255
;	db (loop2 + 1194 *18) & 255
;	db (loop2 + 1194 *19) & 255
;	db (loop2 + 1194 *20) & 255
;	;
;	; ---
;	;
;	db (loop2 + 1194 * 0) & 255	; mid
;	db (loop2 + 1194 * 2) & 255
;	db (loop2 + 1194 * 1) & 255
;	;
;	db (loop2 + 1194 * 7) & 255
;	db (loop2 + 1194 * 6) & 255
;	;
;	db (loop2 + 1194 *12) & 255
;	db (loop2 + 1194 *11) & 255
;	;
;	db (loop2 + 1194 *18) & 255
;	db (loop2 + 1194 *18) & 255
;	db (loop2 + 1194 *19) & 255
;	db (loop2 + 1194 *20) & 255
;	;
;	; ---
;	;
;	db (loop1 + 1194 * 0) & 255	; chorus A V2
;	db (loop6 + 1194 * 0) & 255
;	db (loop1 + 1194 * 3) & 255
;	db (loop1 + 1194 * 1) & 255
;	db (loop1 + 1194 * 4) & 255
;	;
;	db (loop1 + 1194 * 0) & 255
;	db (loop6 + 1194 * 0) & 255
;	db (loop1 + 1194 * 3) & 255
;	db (loop1 + 1194 * 1) & 255
;	db (loop1 + 1194 * 6) & 255
;	;
;	db (loop1 + 1194 * 0) & 255
;	db (loop6 + 1194 * 0) & 255
;	db (loop1 + 1194 * 3) & 255
;	db (loop1 + 1194 * 1) & 255
;	db (loop1 + 1194 * 8) & 255
;	db (loop1 + 1194 * 5) & 255
;	;
;	db (loop1 + 1194 * 0) & 255
;	db (loop1 + 1194 * 9) & 255
;	db (loop1 + 1194 * 9) & 255
;	db (loop1 + 1194 *11) & 255
;	db (loop1 + 1194 *12) & 255
;	db (loop1 + 1194 *13) & 255
;	db (loop1 + 1194 *14) & 255
;	;
;	; ---
;	;
;	db (loop1 + 1194 * 0) & 255	; chorus B V2
;	db (loop4 + 1194 * 1) & 255
;	db (loop4 + 1194 * 0) & 255
;	db (loop4 + 1194 * 0) & 255
;	db (loop4 + 1194 * 2) & 255
;	db (loop1 + 1194 * 5) & 255
;	;
;	db (loop1 + 1194 * 0) & 255
;	db (loop6 + 1194 * 0) & 255
;	db (loop1 + 1194 * 3) & 255
;	db (loop1 + 1194 * 1) & 255
;	db (loop1 + 1194 * 6) & 255
;	;
;	db (loop1 + 1194 * 0) & 255
;	db (loop6 + 1194 * 0) & 255
;	db (loop1 + 1194 * 3) & 255
;	db (loop1 + 1194 * 1) & 255
;	db (loop1 + 1194 * 8) & 255
;	db (loop1 + 1194 * 5) & 255
;	;
;	db (loop5 + 1194 * 0) & 255	; voice
;	db (loop5 + 1194 * 1) & 255
;	db (loop5 + 1194 * 0) & 255
;	db (loop5 + 1194 * 1) & 255
;	db (loop5 + 1194 * 2) & 255
;	db (loop5 + 1194 * 3) & 255
;	db (loop5 + 1194 * 4) & 255
;	db (loop5 + 1194 * 5) & 255
;	db (loop5 + 1194 * 6 - $3D * 2) & 255
;	
;	align 256
;digi_data_hi
;	db (loop3 + 1194 * 0) >> 8	; intro
;	db (loop3 + 1194 * 1) >> 8
;	db (loop3 + 1194 * 1) >> 8
;	db (loop3 + 1194 * 1) >> 8
;	;
;	db (loop3 + 1194 * 0) >> 8
;	db (loop3 + 1194 * 1) >> 8
;	db (loop3 + 1194 * 1) >> 8
;	db (loop3 + 1194 * 3) >> 8
;	;
;	db (loop3 + 1194 * 0) >> 8
;	db (loop3 + 1194 * 1) >> 8
;	db (loop3 + 1194 * 1) >> 8
;	db (loop3 + 1194 * 1) >> 8
;	;
;	db (loop3 + 1194 * 0) >> 8
;	db (loop3 + 1194 * 1) >> 8
;	db (loop3 + 1194 * 1) >> 8
;	db (loop3 + 1194 * 3) >> 8
;	; --
;	db (loop3 + 1194 * 0) >> 8
;	db (loop3 + 1194 * 0) >> 8
;	db (loop3 + 1194 * 0) >> 8
;	db (loop3 + 1194 * 0) >> 8
;	;
;	db (loop3 + 1194 * 0) >> 8
;	db (loop3 + 1194 * 0) >> 8
;	db (loop3 + 1194 * 0) >> 8
;	db (loop3 + 1194 * 0) >> 8
;	db (loop3 + 1194 * 3) >> 8
;	;
;	db (loop3 + 1194 * 0) >> 8
;	db (loop3 + 1194 * 0) >> 8
;	db (loop3 + 1194 * 0) >> 8
;	db (loop3 + 1194 * 0) >> 8
;	;
;	db (loop3 + 1194 * 0) >> 8
;	db (loop3 + 1194 * 0) >> 8
;	db (loop3 + 1194 * 0) >> 8
;	db (loop3 + 1194 * 0) >> 8
;	;
;	db (loop3 + 1194 * 0) >> 8
;	db (loop3 + 1194 * 0) >> 8
;	db (loop3 + 1194 * 0) >> 8
;	db (loop3 + 1194 * 0) >> 8
;	db (loop3 + 1194 * 0) >> 8
;	db (loop3 + 1194 * 0) >> 8
;	db (loop3 + 1194 * 0) >> 8
;	db (loop3 + 1194 * 0) >> 8
;	;
;	db (loop3 + 1194 * 0) >> 8
;	db (loop3 + 1194 * 0) >> 8
;	db (loop3 + 1194 * 4) >> 8
;	db (loop3 + 1194 * 4) >> 8
;	;
;	; ---
;	;
;	db (loop1 + 1194 * 0) >> 8	; chorus A
;	db (loop1 + 1194 * 1) >> 8
;	db (loop1 + 1194 * 3) >> 8
;	db (loop1 + 1194 * 1) >> 8
;	db (loop1 + 1194 * 4) >> 8
;	;
;	db (loop1 + 1194 * 0) >> 8
;	db (loop1 + 1194 * 1) >> 8
;	db (loop1 + 1194 * 3) >> 8
;	db (loop1 + 1194 * 1) >> 8
;	db (loop1 + 1194 * 6) >> 8
;	;
;	db (loop1 + 1194 * 0) >> 8
;	db (loop1 + 1194 * 1) >> 8
;	db (loop1 + 1194 * 3) >> 8
;	db (loop1 + 1194 * 1) >> 8
;	db (loop1 + 1194 * 8) >> 8
;	db (loop1 + 1194 * 5) >> 8
;	;
;	db (loop1 + 1194 * 0) >> 8
;	db (loop1 + 1194 * 9) >> 8
;	db (loop1 + 1194 * 9) >> 8
;	db (loop1 + 1194 *11) >> 8
;	db (loop1 + 1194 *12) >> 8
;	db (loop1 + 1194 *13) >> 8
;	db (loop1 + 1194 *14) >> 8
;	;
;	; ---
;	;
;	db (loop1 + 1194 * 0) >> 8	; chorus B
;	db (loop4 + 1194 * 1) >> 8
;	db (loop4 + 1194 * 0) >> 8
;	db (loop4 + 1194 * 0) >> 8
;	db (loop4 + 1194 * 2) >> 8
;	db (loop1 + 1194 * 5) >> 8
;	;
;	db (loop1 + 1194 * 0) >> 8
;	db (loop1 + 1194 * 1) >> 8
;	db (loop1 + 1194 * 3) >> 8
;	db (loop1 + 1194 * 1) >> 8
;	db (loop1 + 1194 * 6) >> 8
;	;
;	db (loop1 + 1194 * 0) >> 8
;	db (loop1 + 1194 * 1) >> 8
;	db (loop1 + 1194 * 3) >> 8
;	db (loop1 + 1194 * 1) >> 8
;	db (loop1 + 1194 * 8) >> 8
;	db (loop1 + 1194 * 5) >> 8
;	;
;	db (loop5 + 1194 * 0) >> 8	; voice
;	db (loop5 + 1194 * 1) >> 8
;	db (loop5 + 1194 * 0) >> 8
;	db (loop5 + 1194 * 1) >> 8
;	db (loop5 + 1194 * 2) >> 8
;	db (loop5 + 1194 * 3) >> 8
;	db (loop5 + 1194 * 4) >> 8
;	db (loop5 + 1194 * 5) >> 8
;	db (loop5 + 1194 * 6 - $3D * 2) >> 8
;	;
;	; ---
;	;
;	db (loop2 + 1194 * 0) >> 8	; mid
;	db (loop2 + 1194 * 2) >> 8
;	db (loop2 + 1194 * 1) >> 8
;	;
;	db (loop2 + 1194 * 7) >> 8
;	db (loop2 + 1194 * 6) >> 8
;	;
;	db (loop2 + 1194 *12) >> 8
;	db (loop2 + 1194 *11) >> 8
;	;
;	db (loop2 + 1194 *18) >> 8
;	db (loop2 + 1194 *18) >> 8
;	db (loop2 + 1194 *19) >> 8
;	db (loop2 + 1194 *20) >> 8
;	;
;	; ---
;	;
;	db (loop1 + 1194 * 0) >> 8	; chorus A
;	db (loop1 + 1194 * 1) >> 8
;	db (loop1 + 1194 * 3) >> 8
;	db (loop1 + 1194 * 1) >> 8
;	db (loop1 + 1194 * 4) >> 8
;	;
;	db (loop1 + 1194 * 0) >> 8
;	db (loop1 + 1194 * 1) >> 8
;	db (loop1 + 1194 * 3) >> 8
;	db (loop1 + 1194 * 1) >> 8
;	db (loop1 + 1194 * 6) >> 8
;	;
;	db (loop1 + 1194 * 0) >> 8
;	db (loop1 + 1194 * 1) >> 8
;	db (loop1 + 1194 * 3) >> 8
;	db (loop1 + 1194 * 1) >> 8
;	db (loop1 + 1194 * 8) >> 8
;	db (loop1 + 1194 * 5) >> 8
;	;
;	db (loop1 + 1194 * 0) >> 8
;	db (loop1 + 1194 * 9) >> 8
;	db (loop1 + 1194 * 9) >> 8
;	db (loop1 + 1194 *11) >> 8
;	;
;	; ---
;	;
;	db (loop2 + 1194 * 0) >> 8	; mid
;	db (loop2 + 1194 * 2) >> 8
;	db (loop2 + 1194 * 1) >> 8
;	;
;	db (loop2 + 1194 * 7) >> 8
;	db (loop2 + 1194 * 6) >> 8
;	;
;	db (loop2 + 1194 *12) >> 8
;	db (loop2 + 1194 *11) >> 8
;	;
;	db (loop2 + 1194 *18) >> 8
;	db (loop2 + 1194 *18) >> 8
;	db (loop2 + 1194 *19) >> 8
;	db (loop2 + 1194 *20) >> 8
;	;
;	; ---
;	;
;	db (loop2 + 1194 * 0) >> 8	; mid
;	db (loop2 + 1194 * 2) >> 8
;	db (loop2 + 1194 * 1) >> 8
;	;
;	db (loop2 + 1194 * 7) >> 8
;	db (loop2 + 1194 * 6) >> 8
;	;
;	db (loop2 + 1194 *12) >> 8
;	db (loop2 + 1194 *11) >> 8
;	;
;	db (loop2 + 1194 *18) >> 8
;	db (loop2 + 1194 *18) >> 8
;	db (loop2 + 1194 *19) >> 8
;	db (loop2 + 1194 *20) >> 8
;	;
;	; ---
;	;
;	db (loop1 + 1194 * 0) >> 8	; chorus A V2
;	db (loop6 + 1194 * 0) >> 8
;	db (loop1 + 1194 * 3) >> 8
;	db (loop1 + 1194 * 1) >> 8
;	db (loop1 + 1194 * 4) >> 8
;	;
;	db (loop1 + 1194 * 0) >> 8
;	db (loop6 + 1194 * 0) >> 8
;	db (loop1 + 1194 * 3) >> 8
;	db (loop1 + 1194 * 1) >> 8
;	db (loop1 + 1194 * 6) >> 8
;	;
;	db (loop1 + 1194 * 0) >> 8
;	db (loop6 + 1194 * 0) >> 8
;	db (loop1 + 1194 * 3) >> 8
;	db (loop1 + 1194 * 1) >> 8
;	db (loop1 + 1194 * 8) >> 8
;	db (loop1 + 1194 * 5) >> 8
;	;
;	db (loop1 + 1194 * 0) >> 8
;	db (loop1 + 1194 * 9) >> 8
;	db (loop1 + 1194 * 9) >> 8
;	db (loop1 + 1194 *11) >> 8
;	db (loop1 + 1194 *12) >> 8
;	db (loop1 + 1194 *13) >> 8
;	db (loop1 + 1194 *14) >> 8
;	;
;	; ---
;	;
;	db (loop1 + 1194 * 0) >> 8	; chorus B V2
;	db (loop4 + 1194 * 1) >> 8
;	db (loop4 + 1194 * 0) >> 8
;	db (loop4 + 1194 * 0) >> 8
;	db (loop4 + 1194 * 2) >> 8
;	db (loop1 + 1194 * 5) >> 8
;	;
;	db (loop1 + 1194 * 0) >> 8
;	db (loop6 + 1194 * 0) >> 8
;	db (loop1 + 1194 * 3) >> 8
;	db (loop1 + 1194 * 1) >> 8
;	db (loop1 + 1194 * 6) >> 8
;	;
;	db (loop1 + 1194 * 0) >> 8
;	db (loop6 + 1194 * 0) >> 8
;	db (loop1 + 1194 * 3) >> 8
;	db (loop1 + 1194 * 1) >> 8
;	db (loop1 + 1194 * 8) >> 8
;	db (loop1 + 1194 * 5) >> 8
;	;
;	db (loop5 + 1194 * 0) >> 8	; voice
;	db (loop5 + 1194 * 1) >> 8
;	db (loop5 + 1194 * 0) >> 8
;	db (loop5 + 1194 * 1) >> 8
;	db (loop5 + 1194 * 2) >> 8
;	db (loop5 + 1194 * 3) >> 8
;	db (loop5 + 1194 * 4) >> 8
;	db (loop5 + 1194 * 5) >> 8
;	db (loop5 + 1194 * 6 - $3D * 2) >> 8
	
digi_lengths
	db 3	; intro
	db 2
	db 2
	db 1
	;
	db 3
	db 2
	db 2
	db 1
	;
	db 3
	db 2
	db 2
	db 1
	;
	db 3
	db 2
	db 2
	db 1
	; --
	db 2
	db 2
	db 2
	db 2
	;
	db 2
	db 2
	db 2
	db 1
	db 1
	;
	db 1
	db 1
	db 1
	db 1
	;
	db 1
	db 1
	db 1
	db 1
	;
	db 0
	db 0
	db 0
	db 0
	db 0
	db 0
	db 0
	db 0
	;
	db 0
	db 0
	db 1
	db 2
	;
	; ---
	;
	db 3	; chorus A
	db 1
	db 1
	db 1
	db 2
	;
	db 3
	db 1
	db 1
	db 1
	db 2
	;
	db 3
	db 1
	db 1
	db 1
	db 1
	db 1
	;
	db 1
	db 2
	db 1
	db 1
	db 1
	db 1
	db 1
	;
	; ---
	;
	db 1	; chorus B
	db 1
	db 2
	db 2
	db 1
	db 1
	;
	db 3
	db 1
	db 1
	db 1
	db 2
	;
	db 3
	db 1
	db 1
	db 1
	db 1
	db 1
	;
	db 1	; voice
	db 1
	db 1
	db 1
	db 1
	db 1
	db 1
	db 6
	db 7
	;
	; ---
	;
	db 1	; mid
	db 3
	db 5
	;
	db 3
	db 5
	;
	db 3
	db 9
	;
	db 1
	db 0
	db 0
	db 1
	;
	; ---
	;
	db 3	; chorus A
	db 1
	db 1
	db 1
	db 2
	;
	db 3
	db 1
	db 1
	db 1
	db 2
	;
	db 3
	db 1
	db 1
	db 1
	db 1
	db 1
	;
	db 1
	db 2
	db 1
	db 4
	;
	; ---
	;
	db 1	; mid
	db 3
	db 5
	;
	db 3
	db 5
	;
	db 3
	db 9
	;
	db 1
	db 0
	db 0
	db 1
	;
	; ---
	;
	db 1	; mid
	db 3
	db 5
	;
	db 3
	db 5
	;
	db 3
	db 9
	;
	db 1
	db 0
	db 0
	db 1
	;
	; ---
	;
	db 2	; chorus A V2
	db 2
	db 1
	db 1
	db 2
	;
	db 2
	db 2
	db 1
	db 1
	db 2
	;
	db 2
	db 2
	db 1
	db 1
	db 1
	db 1
	;
	db 1
	db 2
	db 1
	db 1
	db 1
	db 1
	db 1
	;
	; ---
	;
	db 1	; chorus B V2
	db 1
	db 2
	db 2
	db 1
	db 1
	;
	db 2
	db 2
	db 1
	db 1
	db 2
	;
	db 2
	db 2
	db 1
	db 1
	db 1
	db 1
	;
	db 1	; voice
	db 1
	db 1
	db 1
	db 1
	db 1
	db 1
	db 6
	db 7

	db 0,0,0,0, 0,0,0,0, 0,0,0,0 ; pad to $2D0
	
digi_lengths_lo
	db (1194 / 2) & 255	; 0
	db (1194 * 1) & 255	; 1
	db (1194 * 2) & 255	; 2
	db (1194 * 3) & 255	; 3
	db (1194 * 4) & 255	; 4
	db (1194 * 5) & 255	; 5
	db (1194 - $3D) & 255	; 6
	db ($3D) & 255		; 7
	db 0
	db (1194 * 9) & 255	; 9
	
	db 0,0,0,0,0,0
	
digi_lengths_hi
	db (1194 / 2) >> 8	; 0
	db (1194 * 1) >> 8	; 1
	db (1194 * 2) >> 8	; 2
	db (1194 * 3) >> 8	; 3
	db (1194 * 4) >> 8	; 4
	db (1194 * 5) >> 8	; 5
	db (1194 - $3D) >> 8	; 6
	db ($3D) >> 8		; 7
	db 0
	db (1194 * 9) >> 8	; 8
	
	org $DCC0
	include "title_bitmap.asm"
;eof